V1
get
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/subjects/availableSubjectNumbers
Retrieves available subject numbers and last added subject number according to the subject settings.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.Example:
test -
studyId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:
ABCDEF1234567890ABCDEF1234567890
Query Parameters
-
siteId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site.Example:
CDEF1234567890AB4567890EFEEDCBA12
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Subjects success.
Root Schema : schema
Type:
Show Source
array-
Array of:
object SubjectNumberSelectionDTO
DTO for subject number selection, containing the last assigned number and a list of currently available subject numbers.
Nested Schema : SubjectNumberSelectionDTO
Type:
objectDTO for subject number selection, containing the last assigned number and a list of currently available subject numbers.
Show Source
-
availableNumbers: array
availableNumbers
Available subject numbers
-
lastAssignedNumber: string
Last assigned subject numberExample:
SUBJ-1223
Nested Schema : availableNumbers
Type:
arrayAvailable subject numbers
Show Source
-
Array of:
string
Available subject numbersExample:
SUBJ-1224
Example:
SUBJ-1224Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object